bitel.billing.server.radius

## Class RadiusSetup

- java.lang.Object
- - ru.bitel.common.ParameterMap
  - - ru.bitel.common.Preferences
    - - ru.bitel.bgbilling.server.util.DefaultServerSetup
      - - ru.bitel.bgbilling.server.util.Setup
        - - bitel.billing.server.radius.RadiusSetup

-     public class RadiusSetup
      extends Setup

  Главный setup Radius-а
  Author:
    king

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

      `ParameterMap.DefaultParameterMap`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.server.util.Setup

      `instance, KEY_CONTRACT_PARAMETER_RULE_READ_GROUP, KEY_CONTRACT_PARAMETER_RULE_READ_USER, KEY_CONTRACT_PARAMETER_RULE_WRITE_GROUP, KEY_CONTRACT_PARAMETER_RULE_WRITE_USER, KEY_MAIL_ENCODING, KEY_MAIL_FROM_EMAIL, KEY_MAIL_FROM_NAME, KEY_MAIL_SMTP_HOST, KEY_MAIL_TO_EMAIL, KEY_MAIL_TO_NAME, KEY_OBJECT_PARAMETER_RULE_READ_GROUP, KEY_OBJECT_PARAMETER_RULE_READ_USER, KEY_OBJECT_PARAMETER_RULE_WRITE_GROUP, KEY_OBJECT_PARAMETER_RULE_WRITE_USER`

    - ### Fields inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

      `RETURN_FAKE, RETURN_MASTER, RETURN_NULL, RETURN_SLAVE`

    - ### Fields inherited from class ru.bitel.common.Preferences

      `bundleName, data`

    - ### Fields inherited from class ru.bitel.common.ParameterMap

      `mapPrint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadiusSetup(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `bitel.billing.server.processor.LC_LimitChecker` | `getLimitChecker()`
    `java.lang.String` | `getModule()` Возращает имя модуля.
    `int` | `getModuleId()`
    `static RadiusSetup` | `getSetup()`
    `void` | `reloadConfig()`
    `void` | `setLimitChecker(bitel.billing.server.processor.LC_LimitChecker value)` Установка проверяльщика NAS'а.
    `void` | `setModule(java.lang.String value)` Установка имени модуля.

    - ### Methods inherited from class ru.bitel.bgbilling.server.util.Setup

      `getBundlePreferences, getConfig, getDistribution, getFolderPathParam, getInitDate, getModuleSetup, getPathProperty, getTempDirPath, getWSClient, setSetup`

    - ### Methods inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

      `checkAndCreatePeriodicTableName, getDBConnection, getDBConnectionFromPool, getDBSlaveConnectionFromPool, getDBSlaveConnectionFromPool, getDBTrashConnectionFromPool, getDBTrashOrMasterConnectionFromPool, getDBTrashOrSlaveConnectionFromPool, getEnvironment, getMasterPoolLoad, getPoolStackTrace, getPoolStatus, getScheduledExecutorService, getSlaveBaseId, getSlaveConnectionFromPool, getTrashBaseId, getTrashConnectionFromPool, initConnectionPool, initJNDI, initMQ, initTrashPoolsAndCreateTableOptions, isReplicationAvailable, isReplicationEnabled, isReplicationNotBehindMaster, logConfigure, returnConToPool, setReplicationAvailable, setReplicationEnabled, setReplicationNotBehindMaster`

    - ### Methods inherited from class ru.bitel.common.Preferences

      `entrySet, get, getObject, getObject, getOrderedValues, loadBundle, loadData, loadDataEntry, loadModuleSetup, parseObjects, parseObjectsNoOrder, putObject, removeObject, set, updateData`

    - ### Methods inherited from class ru.bitel.common.ParameterMap

      `addActionListener, fingerprint, get, getBigDecimal, getBoolean, getDouble, getFloat, getInt, getIntegerList, getLong, inherit, sub, subIndexed, subKeyed, throwActionEvent, toReference, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusSetup

          public RadiusSetup(java.lang.String name)

  - ### Method Detail

    - #### getSetup

          public static RadiusSetup getSetup()

    - #### getModuleId

          public int getModuleId()

    - #### setModule

          public void setModule(java.lang.String value)

      Установка имени модуля.
      Parameters:
        `value` - String

    - #### getModule

          public java.lang.String getModule()

      Возращает имя модуля.
      Returns:
        String

    - #### setLimitChecker

          public void setLimitChecker(bitel.billing.server.processor.LC_LimitChecker value)

      Установка проверяльщика NAS'а.
      Parameters:
        `value` - LC_LimitChecker

    - #### getLimitChecker

          public bitel.billing.server.processor.LC_LimitChecker getLimitChecker()

    - #### reloadConfig

          public void reloadConfig()